#
# spec.in file for package ddumbfs
#

Name:      ddumbfs
Summary:   ddumbfs is an inline de-duplicating file system for Linux based on FUSE
Version:   1.0b16
Release:   1
License:   GPL
Vendor:    Alain Spineux <alain.spineux@gmail.com>
Packager:  Alain Spineux <alain.spineux@gmail.com>
Group:          Applications/System
URL:            http://www.magiksys.net/ddumbfs
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:  mhash-devel
BuildRequires:  fuse-devel
BuildRequires:  pkgconfig

Requires: fuse
Requires: fuse-libs
Requires: mhash

Source0:   %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-build

%description
ddumbfs is an inline de-duplicating file system for Linux based on FUSE.
De-duplication is a technique to avoid data duplication on disks and to 
increase its virtual capacity. ddumbfs works at block level. It is especially 
useful to store successive backup, when data are mostly identical.
ddumbfs likes specially backups of disk images or virtual machines, when blocks
stay aligned on a block boundary.  

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{buildroot} install
rm man/alterddumbfs.8
rm $RPM_BUILD_ROOT/usr/share/man/man8/alterddumbfs.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc doc/README doc/TODO doc/Changelog
%{_bindir}/ddumbfs
%{_bindir}/mkddumbfs
%{_bindir}/fsckddumbfs
%{_bindir}/cpddumbfs
%{_mandir}/man8/ddumbfs.8.gz
%{_mandir}/man8/mkddumbfs.8.gz
%{_mandir}/man8/fsckddumbfs.8.gz
%{_mandir}/man8/cpddumbfs.8.gz

%changelog
* Sun Nov  6 2011 Alain Spineux <alain.spineux@gmail.com> - 1.0b11-1
- update
* Fri May  6 2011 Alain Spineux <alain.spineux@gmail.com> - 0.4-1
- first release
